Skip to main content
O&M Management/Monitoring APIs/Notification Service APIs
PUTNotification Service APIsSince 2.3SynchronousAuth Required

Update SNS Application Endpoint

Update SNS Application Endpoint

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the resource, uniquely identifying this resource

Body Fields

  • updatesnsapplicationendpointObjectRequired

    updatesnsapplicationendpoint request body object.

    • nameString

      Resource name

    • descriptionString

      Detailed description of the resource

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error that caused the current error. This field is null if there is no root cause

  • inventorySNSApplicationEndpointInventoryRequired

    For details, see inventory

    • nameStringRequired

      Resource name

    • uuidStringRequired

      The UUID of the resource, uniquely identifying this resource

    • descriptionStringRequired

      Detailed description of the resource

    • typeStringRequired

      Type

    • platformUuidStringRequired

      Application platform UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

PUT/zstack/v1/sns/application-endpoints/{uuid}/actions

/zstack/v1/sns/application-endpoints/{uuid}/actions

Operation ID

UpdateSNSApplicationEndpoint

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnsapplicationendpoint":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Mar 26, 2024 2:44:39 AM", "lastOpDate": "Mar 26, 2024 2:44:39 AM" } }

Change History

This API has no change history records yet.

View all change history